
QGIS Application - Bug report #2725

Split vector layer, can't choose output folder

2010-05-17 10:59 AM - Luís Ferreira

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12785

Description

Using Vector > Data management tools > Split vector layer, when choosing the output folder only appear an option to save an output

shapefile.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/local/share/qgis/python/plugins/fTools/tools/doVectorSplit.py", line 72, in accept

    outPath = QString(self.folderName)

[[AttributeError]]: 'Dialog' object has no attribute 'folderName'

Python version:

2.6.5 (r265:79063, Apr 16 2010, 14:15:55) 

[GCC 4.4.3]

QGIS version:

1.5.0-Trunk Trunk, 13516

Associated revisions

Revision 37a82ab8 - 2010-05-18 09:01 PM - cfarmer -

Fix output folder selection for split vector layers tool. Patch from alexbruy. Fixes #2725.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13527 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision a7a8a299 - 2010-05-18 09:01 PM - cfarmer -

Fix output folder selection for split vector layers tool. Patch from alexbruy. Fixes #2725.

git-svn-id: http://svn.osgeo.org/qgis/trunk@13527 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-18 07:44 AM - Alexander Bruy

Seems that is my mistake. Here is fix for this bug
http://svn.osgeo.org/qgis/trunk/qgis@13527
http://svn.osgeo.org/qgis/trunk@13527


#2 - 2010-05-18 12:02 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:a7a8a299 (SVN r13528).

Thanks for the quick fix Alexander!

Carson

#3 - 2010-05-19 08:12 AM - Luís Ferreira

Thank you :)

Luís

Files

fix_2725.diff.bz2 883 Bytes 2010-05-18 Alexander Bruy
